LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04520Bug reports[All Projects] Survey designpublic2010-08-06 12:172010-10-23 02:40
Reportersp00ky 
Assigned Tojcleeland 
PrioritynormalSeveritymajor 
StatusclosedResolutionwon't fix 
Product Version1.90 
Target VersionFixed in Version 
Summary04520: After updating to 1.90 Build 9029 array_filter_eclusion stopded working for List (radio) question type
DescriptionHi Guys!

After updating to 1.90 Build 9029 array_filter_eclusion stopded working for List (radio) question type.

Small scenerio for replication.
1. Add question 0001 type List (radio), add some answers.
2. Add question 0002 type table, add answers like in question 001 and set array filter exclusion to question 0001.
3. Start survey.
4. Choose anserw in question 0001 and click Next.
5. Volia! Question 0002 is compleatly empty :/ No answers displayed.

If you remove array filter exclusion to question 0001 question 0002 is displayed properly (with all answers).

Survey works great for 1.87 :/

It looks like labels doesn't match, so maybe problem is caused by the different labelling methods for those two types of questions :/
Steps To Reproduce1. Import attached survey
2. Go to the survey
3. Answer first question choosing Answer1.
4. Go Next
5. You should see Answer2 and Answer3 (array filter exclusion is in question 2), but there is nothig displayed.
Additional InformationIf you remove array filter exclusion in question 2, yo can see all three answers in question 2.
I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID9029
BrowserMozilla Firefox 3.6.8
Database & DB-Versionmysql 5.0
Operating System (Server)Windows Server 2003
Webserver software & versionApache/2.2.11 (Win32)
PHP VersionPHP/5.2.9-2
Attached Files? file icon limesurvey_survey_96455.lss [^] (18,013 bytes) 2010-08-06 12:17
csv file icon limesurvey_survey_55962.csv [^] (5,037 bytes) 2010-10-22 14:23

- Relationships

-  Notes
User avatar (12583)
Mazi (developer)
2010-08-06 14:54
edited on: 2010-08-06 14:54

When using array filter or array exclusive the first question has to be a multiple choice question!
After having changed question type array exclusive works fine for me.

User avatar (12584)
sp00ky (reporter)
2010-08-06 15:05
edited on: 2010-08-06 15:22

So why it worked on 1.87?

http://www.limesurvey.org/en/support/forums/5-can-i-do-this-with-limesurvey/37221-arrayfilterexclusion-and-arrayfilter-a-dropdown#46457 [^]

Future added in bulid 8279.
+New feature: Added radio(list) to array_filter and array_filter_exclude (jcleeland)

Radio (list) is not multiple choice question...
Believe me - it worked with 1.87 and it stoped workig after upgrading to 1.90, that's why I'm reporting this as a bug not as a new idea.

User avatar (12588)
Mazi (developer)
2010-08-06 23:20

I didn't test it, I can only say what the manual says: "The Array filter, and Array filter exclusion advanced settings allow you to use a multiple choice question to select or set which responses display in a subsequent list, array or multiple choice question."
If this worked with a list radio question in 1.87 and doesn't work with the current version, it might be a bug.

Let's wait what Jason, the developer of this feature, can tell us.
User avatar (12590)
jcleeland (developer)
2010-08-07 00:19

Well, I'm not the developer of this feature, but I've become its adoptive parent.

The array_filter was always supposed to use only the multiple choice question as its source. I'm desperate now to see if it worked on radio questions in 1.87, because if it did - that was unintended.

I'll look into it, see if it's a small thing that can be changed, and if it's not too much then it shall become one of those very rare things: a bug that actually DID become a feature :-)
User avatar (12591)
jcleeland (developer)
2010-08-09 02:37

The extra feature:

+New feature: Added radio(list) to array_filter and array_filter_exclude (jcleeland)

was to add the radio (list) question type as a question type that could use the array_filter and array_filter_exclude feature, like the array questions could. It wasn't to add it as a question that could be used as a source.

sp00ky: could you let me know which version of 1.87 (ie: build number) you were using where this worked - that would help me figure out what's going on. I can't get it to work in any of my 1.87 builds.

Thanks
User avatar (12592)
sp00ky (reporter)
2010-08-09 07:56

jcleeland:

<?php

    $versionnumber = "1.87";
    $dbversionnumber = 142;
    $buildnumber = '8338';

?>
User avatar (12885)
sp00ky (reporter)
2010-09-21 15:50

Knock knock! :)
User avatar (12902)
lowprofile (reporter)
2010-09-24 01:18

hi, i am also interested in seeing this fixed. Is the problem that multi choice is specified here...

if ($attralist['type'] == "M" || $attralist['type'] == "P") in survey.php
User avatar (13152)
c_schmitz (administrator)
2010-10-13 21:06

sp00ky, I am still not convinced this worked in 1.87.
Can you attach a 1.87 sample survey to reproduce?
User avatar (13202)
c_schmitz (administrator)
2010-10-15 14:01

THing is that I installed the specified 1.87 version and was not able to get it to work. sp00ky ?
User avatar (13210)
sp00ky (reporter)
2010-10-15 20:54

Give me time till friday - I'll make video or swf, if I only get it work after restore... Believe me it worked :)
User avatar (13211)
c_schmitz (administrator)
2010-10-16 02:51

ok
User avatar (13310)
sp00ky (reporter)
2010-10-22 13:52
edited on: 2010-10-22 13:55

Look at this :) (attachment IT WORKS! =).wmv)

User avatar (13311)
c_schmitz (administrator)
2010-10-22 14:21

Spooky, I need the exported CSV survey structure file, not a video ;).
User avatar (13312)
sp00ky (reporter)
2010-10-22 14:23
edited on: 2010-10-22 14:23

limesurvey_survey_55962.csv

User avatar (13320)
c_schmitz (administrator)
2010-10-23 02:39

Ok thank you. Had a look now. It does indeed 'work' but only accidentally. For example it does not work when both questions are on the same page or the survey is in 'All-in-one' mode.
So you used a feature that was not really supposed to be there, erroneous, and according to manual not existent.

THe bad news is that it would be quite some work to implement it for Single (Radio) question type in a generic and reliable way. Because it is so much work we would do this only as hired work. If you are interested I am sure Jason will give a quote on this.

I am closing this for now.

- Issue History
Date Modified Username Field Change
2010-08-06 12:17 sp00ky New Issue
2010-08-06 12:17 sp00ky File Added: limesurvey_survey_96455.lss
2010-08-06 13:41 c_schmitz Assigned To => jcleeland
2010-08-06 13:41 c_schmitz Status new => assigned
2010-08-06 14:54 Mazi Note Added: 12583
2010-08-06 14:54 Mazi Assigned To jcleeland => Mazi
2010-08-06 14:54 Mazi Status assigned => feedback
2010-08-06 14:54 Mazi Note Edited: 12583 View Revisions
2010-08-06 15:05 sp00ky Note Added: 12584
2010-08-06 15:05 sp00ky Status feedback => assigned
2010-08-06 15:12 sp00ky Note Edited: 12584 View Revisions
2010-08-06 15:13 sp00ky Note Edited: 12584 View Revisions
2010-08-06 15:22 sp00ky Note Edited: 12584 View Revisions
2010-08-06 15:34 c_schmitz Assigned To Mazi => jcleeland
2010-08-06 23:20 Mazi Note Added: 12588
2010-08-07 00:19 jcleeland Note Added: 12590
2010-08-09 02:37 jcleeland Note Added: 12591
2010-08-09 07:56 sp00ky Note Added: 12592
2010-09-21 15:50 sp00ky Note Added: 12885
2010-09-24 01:18 lowprofile Note Added: 12902
2010-10-13 20:56 c_schmitz Assigned To jcleeland => c_schmitz
2010-10-13 21:06 c_schmitz Note Added: 13152
2010-10-13 21:06 c_schmitz Status assigned => feedback
2010-10-15 14:01 c_schmitz Note Added: 13202
2010-10-15 20:54 sp00ky Note Added: 13210
2010-10-15 20:54 sp00ky Status feedback => assigned
2010-10-16 02:51 c_schmitz Note Added: 13211
2010-10-16 02:51 c_schmitz Status assigned => feedback
2010-10-22 13:52 sp00ky Note Added: 13310
2010-10-22 13:52 sp00ky Status feedback => assigned
2010-10-22 13:53 sp00ky File Added: IT WORKS! =).wmv
2010-10-22 13:55 sp00ky Note Edited: 13310 View Revisions
2010-10-22 14:21 c_schmitz Note Added: 13311
2010-10-22 14:23 sp00ky File Added: limesurvey_survey_55962.csv
2010-10-22 14:23 sp00ky Note Added: 13312
2010-10-22 14:23 sp00ky Note Edited: 13312 View Revisions
2010-10-23 02:39 c_schmitz Note Added: 13320
2010-10-23 02:40 c_schmitz File Deleted: IT WORKS! =).wmv
2010-10-23 02:40 c_schmitz Status assigned => closed
2010-10-23 02:40 c_schmitz Assigned To c_schmitz => jcleeland
2010-10-23 02:40 c_schmitz Resolution open => won't fix
2010-10-25 00:17 c_schmitz Category Survey Design => Survey design


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker